> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 删除账户 IdP 组

> 从该企业中移除已注册的 IdP 组。

<div id="permissions">
  ## 权限
</div>

需要一个在企业级别具有 `ManageAccountMembership` 权限的服务用户。


## OpenAPI

````yaml zh/v3-openapi.yaml DELETE /v3/enterprise/idp-groups/{idp_group_name}
openapi: 3.1.0
info:
  description: 采用 Service User 身份验证和 RBAC 的 Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/idp-groups/{idp_group_name}:
    delete:
      tags:
        - idp_groups
      summary: 删除账户 IdP 组
      description: 从该企业中移除已注册的 IdP 组。
      operationId: >-
        handle_delete_account_idp_group_v3_enterprise_idp_groups__idp_group_name__delete
      parameters:
        - in: path
          name: idp_group_name
          required: true
          schema:
            title: Idp Group Name
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdpGroupResponse'
          description: 成功响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    IdpGroupResponse:
      properties:
        idp_group_name:
          title: Idp Group Name
          type: string
      required:
        - idp_group_name
      title: IdpGroupResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 服务用户凭据（前缀：cog_）
      scheme: bearer
      type: http

````